curl -X POST "https://api.heimdall.dev/api/scans/550e8400-e29b-41d4-a716-446655440000/cancel" \
-H "Authorization: Bearer YOUR_API_TOKEN"
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "cancelled"
}
}
Cancel a running scan
curl -X POST "https://api.heimdall.dev/api/scans/550e8400-e29b-41d4-a716-446655440000/cancel" \
-H "Authorization: Bearer YOUR_API_TOKEN"
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "cancelled"
}
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/iamngoni/heimdall/llms.txt
Use this file to discover all available pages before exploring further.
cancelled and any running analysis stages will be stopped.
Important Notes:
completed, failed, or cancelled can be cancelledcancelled)curl -X POST "https://api.heimdall.dev/api/scans/550e8400-e29b-41d4-a716-446655440000/cancel" \
-H "Authorization: Bearer YOUR_API_TOKEN"
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "cancelled"
}
}